Institutions v3
CRUD operations for institutions. The Institution Resource provides detailed information about institutions, such as universities or other educational and research organizations. This resource supports multi-language fields for key attributes, allowing for comprehensive and localized data representation.
Endpoints
GET /resource/v3/institutions
Retrieve a list of institutions
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
name |
query | string | No | Search for institutions by their name. Supports search operators (s. [resource queries syntax](../resource_queries)). | |
name_short |
query | string | No | Search for institutions by their short name. Supports search operators (s. [resource queries syntax](../resource_queries)). | |
q |
query | string | No | Perform a full-text search across multiple fields. |
Responses
{
"_links": {},
"_pagination": {},
"items": [
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {},
"realm": {
"_id": 23,
"_uuid": "string",
"_links": {},
"name": "xyzpublishing",
"screenname": "XYZ Publishing"
},
"name": [
{
"language": "eng",
"text": "Open Publishing Legacy Knowledge Academy"
}
],
"name_short": "OP Akademie",
"description": [
{
"language": "string",
"text": "string"
}
],
"type": "university",
"street": "Petersplatz 8",
"zip": "80331",
"city": [
{
"language": "string",
"text": "string"
}
],
"country": "DE",
"phone_number": "string",
"url": "string"
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_links": {
"type": "object"
},
"_pagination": {
"type": "object"
},
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the institution(legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the institution",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"description": "Contains links to related resources, such as metrics and the resource itself."
},
"realm": {
"type": "object",
"description": "Reference to realm which owns this object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Realm ID",
"example": 23
},
"_uuid": {
"type": "string",
"description": "ID of resource in V4 version of resource"
},
"_links": {
"type": "object"
},
"name": {
"type": "string",
"description": "Name of the realm",
"example": "xyzpublishing"
},
"screenname": {
"type": "string",
"description": "Screenname of the realm",
"example": "XYZ Publishing"
}
},
"required": [
"_id"
]
},
"name": {
"type": "array",
"description": "Multi-language representation of the institution's full name (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string",
"example": "eng"
},
"text": {
"type": "string",
"example": "Open Publishing Legacy Knowledge Academy",
"nullable": true
}
}
}
},
"name_short": {
"type": "string",
"description": "Short name or abbreviation of the institution.",
"nullable": true,
"example": "OP Akademie"
},
"description": {
"type": "array",
"description": "Multi-language representation of the institution's description (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string"
},
"text": {
"type": "string",
"nullable": true
}
}
}
},
"type": {
"type": "string",
"description": "The category or classification of the institution.",
"enum": [
"university",
"school",
"company",
"other"
],
"default": "university",
"nullable": true,
"example": "university"
},
"street": {
"type": "string",
"description": "Street address of the institution.",
"nullable": true,
"example": "Petersplatz 8"
},
"zip": {
"type": "string",
"description": "Postal code of the institution.",
"nullable": true,
"example": "80331"
},
"city": {
"type": "array",
"description": "Multi-language representation of the city where the institution is located (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string"
},
"text": {
"type": "string",
"nullable": true
}
}
}
},
"country": {
"type": "string",
"description": "Country code in ISO 3166-1 alpha-2 format.",
"nullable": true,
"default": "DE",
"example": "DE"
},
"phone_number": {
"type": "string",
"description": "Primary phone number of the institution.",
"nullable": true
},
"url": {
"type": "string",
"description": "URL of the institution's website.",
"nullable": true
}
},
"required": []
}
}
},
"required": [
"_links",
"_pagination",
"items"
]
}
POST /resource/v3/institutions
Create a new institution
Request body
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {},
"realm": {
"_id": 23,
"_uuid": "string",
"_links": {},
"name": "xyzpublishing",
"screenname": "XYZ Publishing"
},
"name": [
{
"language": "eng",
"text": "Open Publishing Legacy Knowledge Academy"
}
],
"name_short": "OP Akademie",
"description": [
{
"language": "string",
"text": "string"
}
],
"type": "university",
"street": "Petersplatz 8",
"zip": "80331",
"city": [
{
"language": "string",
"text": "string"
}
],
"country": "DE",
"phone_number": "string",
"url": "string"
}
Schema of the request body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the institution(legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the institution",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"description": "Contains links to related resources, such as metrics and the resource itself."
},
"realm": {
"type": "object",
"description": "Reference to realm which owns this object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Realm ID",
"example": 23
},
"_uuid": {
"type": "string",
"description": "ID of resource in V4 version of resource"
},
"_links": {
"type": "object"
},
"name": {
"type": "string",
"description": "Name of the realm",
"example": "xyzpublishing"
},
"screenname": {
"type": "string",
"description": "Screenname of the realm",
"example": "XYZ Publishing"
}
},
"required": [
"_id"
]
},
"name": {
"type": "array",
"description": "Multi-language representation of the institution's full name (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string",
"example": "eng"
},
"text": {
"type": "string",
"example": "Open Publishing Legacy Knowledge Academy",
"nullable": true
}
}
}
},
"name_short": {
"type": "string",
"description": "Short name or abbreviation of the institution.",
"nullable": true,
"example": "OP Akademie"
},
"description": {
"type": "array",
"description": "Multi-language representation of the institution's description (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string"
},
"text": {
"type": "string",
"nullable": true
}
}
}
},
"type": {
"type": "string",
"description": "The category or classification of the institution.",
"enum": [
"university",
"school",
"company",
"other"
],
"default": "university",
"nullable": true,
"example": "university"
},
"street": {
"type": "string",
"description": "Street address of the institution.",
"nullable": true,
"example": "Petersplatz 8"
},
"zip": {
"type": "string",
"description": "Postal code of the institution.",
"nullable": true,
"example": "80331"
},
"city": {
"type": "array",
"description": "Multi-language representation of the city where the institution is located (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string"
},
"text": {
"type": "string",
"nullable": true
}
}
}
},
"country": {
"type": "string",
"description": "Country code in ISO 3166-1 alpha-2 format.",
"nullable": true,
"default": "DE",
"example": "DE"
},
"phone_number": {
"type": "string",
"description": "Primary phone number of the institution.",
"nullable": true
},
"url": {
"type": "string",
"description": "URL of the institution's website.",
"nullable": true
}
},
"required": []
}
Responses
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {},
"realm": {
"_id": 23,
"_uuid": "string",
"_links": {},
"name": "xyzpublishing",
"screenname": "XYZ Publishing"
},
"name": [
{
"language": "eng",
"text": "Open Publishing Legacy Knowledge Academy"
}
],
"name_short": "OP Akademie",
"description": [
{
"language": "string",
"text": "string"
}
],
"type": "university",
"street": "Petersplatz 8",
"zip": "80331",
"city": [
{
"language": "string",
"text": "string"
}
],
"country": "DE",
"phone_number": "string",
"url": "string"
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the institution(legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the institution",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"description": "Contains links to related resources, such as metrics and the resource itself."
},
"realm": {
"type": "object",
"description": "Reference to realm which owns this object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Realm ID",
"example": 23
},
"_uuid": {
"type": "string",
"description": "ID of resource in V4 version of resource"
},
"_links": {
"type": "object"
},
"name": {
"type": "string",
"description": "Name of the realm",
"example": "xyzpublishing"
},
"screenname": {
"type": "string",
"description": "Screenname of the realm",
"example": "XYZ Publishing"
}
},
"required": [
"_id"
]
},
"name": {
"type": "array",
"description": "Multi-language representation of the institution's full name (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string",
"example": "eng"
},
"text": {
"type": "string",
"example": "Open Publishing Legacy Knowledge Academy",
"nullable": true
}
}
}
},
"name_short": {
"type": "string",
"description": "Short name or abbreviation of the institution.",
"nullable": true,
"example": "OP Akademie"
},
"description": {
"type": "array",
"description": "Multi-language representation of the institution's description (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string"
},
"text": {
"type": "string",
"nullable": true
}
}
}
},
"type": {
"type": "string",
"description": "The category or classification of the institution.",
"enum": [
"university",
"school",
"company",
"other"
],
"default": "university",
"nullable": true,
"example": "university"
},
"street": {
"type": "string",
"description": "Street address of the institution.",
"nullable": true,
"example": "Petersplatz 8"
},
"zip": {
"type": "string",
"description": "Postal code of the institution.",
"nullable": true,
"example": "80331"
},
"city": {
"type": "array",
"description": "Multi-language representation of the city where the institution is located (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string"
},
"text": {
"type": "string",
"nullable": true
}
}
}
},
"country": {
"type": "string",
"description": "Country code in ISO 3166-1 alpha-2 format.",
"nullable": true,
"default": "DE",
"example": "DE"
},
"phone_number": {
"type": "string",
"description": "Primary phone number of the institution.",
"nullable": true
},
"url": {
"type": "string",
"description": "URL of the institution's website.",
"nullable": true
}
},
"required": []
}
{
"errors": [
{
"_id": "string",
"stack_trace": [
"string"
],
"message": "string",
"vars": {}
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"required": [
"errors"
],
"properties": {
"errors": {
"type": "array",
"description": "List of errors occurred",
"items": {
"type": "object",
"additionalProperties": false,
"required": [
"_id",
"message",
"stack_trace",
"vars"
],
"properties": {
"_id": {
"type": "string",
"description": "The identifier of the error"
},
"stack_trace": {
"type": "array",
"description": "A stacktrace of the error occurred. Only for testing systems.",
"items": {
"type": "string"
}
},
"message": {
"type": "string",
"description": "A translated message of the error"
},
"vars": {
"type": "object",
"description": "A dict containing additional values of the context of the error."
}
}
}
}
}
}
GET /resource/v3/institutions/{id}
Retrieve a single institution by ID
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | string | No | The unique identifier of the institution |
Responses
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {},
"realm": {
"_id": 23,
"_uuid": "string",
"_links": {},
"name": "xyzpublishing",
"screenname": "XYZ Publishing"
},
"name": [
{
"language": "eng",
"text": "Open Publishing Legacy Knowledge Academy"
}
],
"name_short": "OP Akademie",
"description": [
{
"language": "string",
"text": "string"
}
],
"type": "university",
"street": "Petersplatz 8",
"zip": "80331",
"city": [
{
"language": "string",
"text": "string"
}
],
"country": "DE",
"phone_number": "string",
"url": "string"
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the institution(legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the institution",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"description": "Contains links to related resources, such as metrics and the resource itself."
},
"realm": {
"type": "object",
"description": "Reference to realm which owns this object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Realm ID",
"example": 23
},
"_uuid": {
"type": "string",
"description": "ID of resource in V4 version of resource"
},
"_links": {
"type": "object"
},
"name": {
"type": "string",
"description": "Name of the realm",
"example": "xyzpublishing"
},
"screenname": {
"type": "string",
"description": "Screenname of the realm",
"example": "XYZ Publishing"
}
},
"required": [
"_id"
]
},
"name": {
"type": "array",
"description": "Multi-language representation of the institution's full name (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string",
"example": "eng"
},
"text": {
"type": "string",
"example": "Open Publishing Legacy Knowledge Academy",
"nullable": true
}
}
}
},
"name_short": {
"type": "string",
"description": "Short name or abbreviation of the institution.",
"nullable": true,
"example": "OP Akademie"
},
"description": {
"type": "array",
"description": "Multi-language representation of the institution's description (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string"
},
"text": {
"type": "string",
"nullable": true
}
}
}
},
"type": {
"type": "string",
"description": "The category or classification of the institution.",
"enum": [
"university",
"school",
"company",
"other"
],
"default": "university",
"nullable": true,
"example": "university"
},
"street": {
"type": "string",
"description": "Street address of the institution.",
"nullable": true,
"example": "Petersplatz 8"
},
"zip": {
"type": "string",
"description": "Postal code of the institution.",
"nullable": true,
"example": "80331"
},
"city": {
"type": "array",
"description": "Multi-language representation of the city where the institution is located (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string"
},
"text": {
"type": "string",
"nullable": true
}
}
}
},
"country": {
"type": "string",
"description": "Country code in ISO 3166-1 alpha-2 format.",
"nullable": true,
"default": "DE",
"example": "DE"
},
"phone_number": {
"type": "string",
"description": "Primary phone number of the institution.",
"nullable": true
},
"url": {
"type": "string",
"description": "URL of the institution's website.",
"nullable": true
}
},
"required": []
}
PUT /resource/v3/institutions/{id}
Update institution
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | string | No | The unique identifier of the institution |
Request body
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {},
"realm": {
"_id": 23,
"_uuid": "string",
"_links": {},
"name": "xyzpublishing",
"screenname": "XYZ Publishing"
},
"name": [
{
"language": "eng",
"text": "Open Publishing Legacy Knowledge Academy"
}
],
"name_short": "OP Akademie",
"description": [
{
"language": "string",
"text": "string"
}
],
"type": "university",
"street": "Petersplatz 8",
"zip": "80331",
"city": [
{
"language": "string",
"text": "string"
}
],
"country": "DE",
"phone_number": "string",
"url": "string"
}
Schema of the request body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the institution(legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the institution",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"description": "Contains links to related resources, such as metrics and the resource itself."
},
"realm": {
"type": "object",
"description": "Reference to realm which owns this object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Realm ID",
"example": 23
},
"_uuid": {
"type": "string",
"description": "ID of resource in V4 version of resource"
},
"_links": {
"type": "object"
},
"name": {
"type": "string",
"description": "Name of the realm",
"example": "xyzpublishing"
},
"screenname": {
"type": "string",
"description": "Screenname of the realm",
"example": "XYZ Publishing"
}
},
"required": [
"_id"
]
},
"name": {
"type": "array",
"description": "Multi-language representation of the institution's full name (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string",
"example": "eng"
},
"text": {
"type": "string",
"example": "Open Publishing Legacy Knowledge Academy",
"nullable": true
}
}
}
},
"name_short": {
"type": "string",
"description": "Short name or abbreviation of the institution.",
"nullable": true,
"example": "OP Akademie"
},
"description": {
"type": "array",
"description": "Multi-language representation of the institution's description (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string"
},
"text": {
"type": "string",
"nullable": true
}
}
}
},
"type": {
"type": "string",
"description": "The category or classification of the institution.",
"enum": [
"university",
"school",
"company",
"other"
],
"default": "university",
"nullable": true,
"example": "university"
},
"street": {
"type": "string",
"description": "Street address of the institution.",
"nullable": true,
"example": "Petersplatz 8"
},
"zip": {
"type": "string",
"description": "Postal code of the institution.",
"nullable": true,
"example": "80331"
},
"city": {
"type": "array",
"description": "Multi-language representation of the city where the institution is located (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string"
},
"text": {
"type": "string",
"nullable": true
}
}
}
},
"country": {
"type": "string",
"description": "Country code in ISO 3166-1 alpha-2 format.",
"nullable": true,
"default": "DE",
"example": "DE"
},
"phone_number": {
"type": "string",
"description": "Primary phone number of the institution.",
"nullable": true
},
"url": {
"type": "string",
"description": "URL of the institution's website.",
"nullable": true
}
},
"required": []
}
Responses
{
"_id": 3980960,
"_uuid": "a71faa3a-4f84-4248-b060-9fad75f7f63e",
"_version": "3.0",
"_links": {},
"realm": {
"_id": 23,
"_uuid": "string",
"_links": {},
"name": "xyzpublishing",
"screenname": "XYZ Publishing"
},
"name": [
{
"language": "eng",
"text": "Open Publishing Legacy Knowledge Academy"
}
],
"name_short": "OP Akademie",
"description": [
{
"language": "string",
"text": "string"
}
],
"type": "university",
"street": "Petersplatz 8",
"zip": "80331",
"city": [
{
"language": "string",
"text": "string"
}
],
"country": "DE",
"phone_number": "string",
"url": "string"
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Unique identifier for the institution(legacy integer ID)",
"example": 3980960
},
"_uuid": {
"type": "string",
"description": "UUID identifier for the institution",
"example": "a71faa3a-4f84-4248-b060-9fad75f7f63e"
},
"_version": {
"type": "string",
"description": "API Version",
"example": "3.0"
},
"_links": {
"type": "object",
"description": "Contains links to related resources, such as metrics and the resource itself."
},
"realm": {
"type": "object",
"description": "Reference to realm which owns this object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "integer",
"description": "Realm ID",
"example": 23
},
"_uuid": {
"type": "string",
"description": "ID of resource in V4 version of resource"
},
"_links": {
"type": "object"
},
"name": {
"type": "string",
"description": "Name of the realm",
"example": "xyzpublishing"
},
"screenname": {
"type": "string",
"description": "Screenname of the realm",
"example": "XYZ Publishing"
}
},
"required": [
"_id"
]
},
"name": {
"type": "array",
"description": "Multi-language representation of the institution's full name (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string",
"example": "eng"
},
"text": {
"type": "string",
"example": "Open Publishing Legacy Knowledge Academy",
"nullable": true
}
}
}
},
"name_short": {
"type": "string",
"description": "Short name or abbreviation of the institution.",
"nullable": true,
"example": "OP Akademie"
},
"description": {
"type": "array",
"description": "Multi-language representation of the institution's description (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string"
},
"text": {
"type": "string",
"nullable": true
}
}
}
},
"type": {
"type": "string",
"description": "The category or classification of the institution.",
"enum": [
"university",
"school",
"company",
"other"
],
"default": "university",
"nullable": true,
"example": "university"
},
"street": {
"type": "string",
"description": "Street address of the institution.",
"nullable": true,
"example": "Petersplatz 8"
},
"zip": {
"type": "string",
"description": "Postal code of the institution.",
"nullable": true,
"example": "80331"
},
"city": {
"type": "array",
"description": "Multi-language representation of the city where the institution is located (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)).",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"language": {
"type": "string"
},
"text": {
"type": "string",
"nullable": true
}
}
}
},
"country": {
"type": "string",
"description": "Country code in ISO 3166-1 alpha-2 format.",
"nullable": true,
"default": "DE",
"example": "DE"
},
"phone_number": {
"type": "string",
"description": "Primary phone number of the institution.",
"nullable": true
},
"url": {
"type": "string",
"description": "URL of the institution's website.",
"nullable": true
}
},
"required": []
}
{
"errors": [
{
"_id": "string",
"stack_trace": [
"string"
],
"message": "string",
"vars": {}
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"required": [
"errors"
],
"properties": {
"errors": {
"type": "array",
"description": "List of errors occurred",
"items": {
"type": "object",
"additionalProperties": false,
"required": [
"_id",
"message",
"stack_trace",
"vars"
],
"properties": {
"_id": {
"type": "string",
"description": "The identifier of the error"
},
"stack_trace": {
"type": "array",
"description": "A stacktrace of the error occurred. Only for testing systems.",
"items": {
"type": "string"
}
},
"message": {
"type": "string",
"description": "A translated message of the error"
},
"vars": {
"type": "object",
"description": "A dict containing additional values of the context of the error."
}
}
}
}
}
}
DELETE /resource/v3/institutions/{id}
Delete institution by ID
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | string | No | The unique identifier of the institution |
Responses
{
"errors": [
{
"_id": "string",
"stack_trace": [
"string"
],
"message": "string",
"vars": {}
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"required": [
"errors"
],
"properties": {
"errors": {
"type": "array",
"description": "List of errors occurred",
"items": {
"type": "object",
"additionalProperties": false,
"required": [
"_id",
"message",
"stack_trace",
"vars"
],
"properties": {
"_id": {
"type": "string",
"description": "The identifier of the error"
},
"stack_trace": {
"type": "array",
"description": "A stacktrace of the error occurred. Only for testing systems.",
"items": {
"type": "string"
}
},
"message": {
"type": "string",
"description": "A translated message of the error"
},
"vars": {
"type": "object",
"description": "A dict containing additional values of the context of the error."
}
}
}
}
}
}
GET /resource/v3/institutions/{institution_id}/texts
Retrieve a list of institution texts of institution
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
institution_id |
path | string | No | The unique identifier of the institution |
Responses
{
"_links": {},
"_pagination": {},
"items": [
{
"_id": "4cb7d96c-6f72-470e-884c-6b96bb99a22e",
"_links": {
"self": "https://api.openpublishing.com/resource/v3/institutions/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"language": "eng",
"mime_type": "text/plain",
"text": "The LMU is one of the most prestigious and traditional universities in Europe. It combines outstanding research with a challenging range of courses.",
"timestamp": 1743391587,
"type": "website_meta_description"
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_links": {
"type": "object"
},
"_pagination": {
"type": "object"
},
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "string",
"description": "Unique identifier for the institution text",
"example": "4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"_links": {
"type": "object",
"additionalProperties": false,
"properties": {
"self": {
"type": "string",
"example": "https://api.openpublishing.com/resource/v3/institutions/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
}
}
},
"language": {
"type": "string",
"description": "Language code in ISO 639-2 format indicating the language of the text.",
"example": "eng"
},
"mime_type": {
"type": "string",
"description": "MIME type of the text content.",
"example": "text/plain"
},
"text": {
"type": "string",
"example": "The LMU is one of the most prestigious and traditional universities in Europe. It combines outstanding research with a challenging range of courses.",
"description": "The actual text content."
},
"timestamp": {
"type": "integer",
"description": "Unix timestamp representing creation or modification time.",
"example": 1743391587
},
"type": {
"type": "string",
"description": "The type of text content.",
"enum": [
"website_meta_description",
"website_header"
],
"x-enum-descriptions": {
"website_meta_description": "HTML header meta description",
"website_header": "Landing page header"
},
"example": "website_meta_description"
}
}
}
}
},
"required": [
"_links",
"_pagination",
"items"
]
}
POST /resource/v3/institutions/{institution_id}/texts
Create a new institution text
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
institution_id |
path | string | No | The unique identifier of the institution |
Request body
{
"_id": "4cb7d96c-6f72-470e-884c-6b96bb99a22e",
"_links": {
"self": "https://api.openpublishing.com/resource/v3/institutions/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"language": "eng",
"mime_type": "text/plain",
"text": "The LMU is one of the most prestigious and traditional universities in Europe. It combines outstanding research with a challenging range of courses.",
"timestamp": 1743391587,
"type": "website_meta_description"
}
Schema of the request body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "string",
"description": "Unique identifier for the institution text",
"example": "4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"_links": {
"type": "object",
"additionalProperties": false,
"properties": {
"self": {
"type": "string",
"example": "https://api.openpublishing.com/resource/v3/institutions/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
}
}
},
"language": {
"type": "string",
"description": "Language code in ISO 639-2 format indicating the language of the text.",
"example": "eng"
},
"mime_type": {
"type": "string",
"description": "MIME type of the text content.",
"example": "text/plain"
},
"text": {
"type": "string",
"example": "The LMU is one of the most prestigious and traditional universities in Europe. It combines outstanding research with a challenging range of courses.",
"description": "The actual text content."
},
"timestamp": {
"type": "integer",
"description": "Unix timestamp representing creation or modification time.",
"example": 1743391587
},
"type": {
"type": "string",
"description": "The type of text content.",
"enum": [
"website_meta_description",
"website_header"
],
"x-enum-descriptions": {
"website_meta_description": "HTML header meta description",
"website_header": "Landing page header"
},
"example": "website_meta_description"
}
}
}
Responses
{
"_id": "4cb7d96c-6f72-470e-884c-6b96bb99a22e",
"_links": {
"self": "https://api.openpublishing.com/resource/v3/institutions/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"language": "eng",
"mime_type": "text/plain",
"text": "The LMU is one of the most prestigious and traditional universities in Europe. It combines outstanding research with a challenging range of courses.",
"timestamp": 1743391587,
"type": "website_meta_description"
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "string",
"description": "Unique identifier for the institution text",
"example": "4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"_links": {
"type": "object",
"additionalProperties": false,
"properties": {
"self": {
"type": "string",
"example": "https://api.openpublishing.com/resource/v3/institutions/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
}
}
},
"language": {
"type": "string",
"description": "Language code in ISO 639-2 format indicating the language of the text.",
"example": "eng"
},
"mime_type": {
"type": "string",
"description": "MIME type of the text content.",
"example": "text/plain"
},
"text": {
"type": "string",
"example": "The LMU is one of the most prestigious and traditional universities in Europe. It combines outstanding research with a challenging range of courses.",
"description": "The actual text content."
},
"timestamp": {
"type": "integer",
"description": "Unix timestamp representing creation or modification time.",
"example": 1743391587
},
"type": {
"type": "string",
"description": "The type of text content.",
"enum": [
"website_meta_description",
"website_header"
],
"x-enum-descriptions": {
"website_meta_description": "HTML header meta description",
"website_header": "Landing page header"
},
"example": "website_meta_description"
}
}
}
{
"errors": [
{
"_id": "string",
"stack_trace": [
"string"
],
"message": "string",
"vars": {}
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"required": [
"errors"
],
"properties": {
"errors": {
"type": "array",
"description": "List of errors occurred",
"items": {
"type": "object",
"additionalProperties": false,
"required": [
"_id",
"message",
"stack_trace",
"vars"
],
"properties": {
"_id": {
"type": "string",
"description": "The identifier of the error"
},
"stack_trace": {
"type": "array",
"description": "A stacktrace of the error occurred. Only for testing systems.",
"items": {
"type": "string"
}
},
"message": {
"type": "string",
"description": "A translated message of the error"
},
"vars": {
"type": "object",
"description": "A dict containing additional values of the context of the error."
}
}
}
}
}
}
GET /resource/v3/institutions/{institution_id}/texts/{id}
Retrieve a single institution text by ID
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | string | No | The unique identifier of the institution text | |
institution_id |
path | string | No | The unique identifier of the institution |
Responses
{
"_id": "4cb7d96c-6f72-470e-884c-6b96bb99a22e",
"_links": {
"self": "https://api.openpublishing.com/resource/v3/institutions/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"language": "eng",
"mime_type": "text/plain",
"text": "The LMU is one of the most prestigious and traditional universities in Europe. It combines outstanding research with a challenging range of courses.",
"timestamp": 1743391587,
"type": "website_meta_description"
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "string",
"description": "Unique identifier for the institution text",
"example": "4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"_links": {
"type": "object",
"additionalProperties": false,
"properties": {
"self": {
"type": "string",
"example": "https://api.openpublishing.com/resource/v3/institutions/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
}
}
},
"language": {
"type": "string",
"description": "Language code in ISO 639-2 format indicating the language of the text.",
"example": "eng"
},
"mime_type": {
"type": "string",
"description": "MIME type of the text content.",
"example": "text/plain"
},
"text": {
"type": "string",
"example": "The LMU is one of the most prestigious and traditional universities in Europe. It combines outstanding research with a challenging range of courses.",
"description": "The actual text content."
},
"timestamp": {
"type": "integer",
"description": "Unix timestamp representing creation or modification time.",
"example": 1743391587
},
"type": {
"type": "string",
"description": "The type of text content.",
"enum": [
"website_meta_description",
"website_header"
],
"x-enum-descriptions": {
"website_meta_description": "HTML header meta description",
"website_header": "Landing page header"
},
"example": "website_meta_description"
}
}
}
PUT /resource/v3/institutions/{institution_id}/texts/{id}
Update institution text
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | string | No | The unique identifier of the institution text | |
institution_id |
path | string | No | The unique identifier of the institution |
Request body
{
"_id": "4cb7d96c-6f72-470e-884c-6b96bb99a22e",
"_links": {
"self": "https://api.openpublishing.com/resource/v3/institutions/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"language": "eng",
"mime_type": "text/plain",
"text": "The LMU is one of the most prestigious and traditional universities in Europe. It combines outstanding research with a challenging range of courses.",
"timestamp": 1743391587,
"type": "website_meta_description"
}
Schema of the request body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "string",
"description": "Unique identifier for the institution text",
"example": "4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"_links": {
"type": "object",
"additionalProperties": false,
"properties": {
"self": {
"type": "string",
"example": "https://api.openpublishing.com/resource/v3/institutions/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
}
}
},
"language": {
"type": "string",
"description": "Language code in ISO 639-2 format indicating the language of the text.",
"example": "eng"
},
"mime_type": {
"type": "string",
"description": "MIME type of the text content.",
"example": "text/plain"
},
"text": {
"type": "string",
"example": "The LMU is one of the most prestigious and traditional universities in Europe. It combines outstanding research with a challenging range of courses.",
"description": "The actual text content."
},
"timestamp": {
"type": "integer",
"description": "Unix timestamp representing creation or modification time.",
"example": 1743391587
},
"type": {
"type": "string",
"description": "The type of text content.",
"enum": [
"website_meta_description",
"website_header"
],
"x-enum-descriptions": {
"website_meta_description": "HTML header meta description",
"website_header": "Landing page header"
},
"example": "website_meta_description"
}
}
}
Responses
{
"_id": "4cb7d96c-6f72-470e-884c-6b96bb99a22e",
"_links": {
"self": "https://api.openpublishing.com/resource/v3/institutions/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"language": "eng",
"mime_type": "text/plain",
"text": "The LMU is one of the most prestigious and traditional universities in Europe. It combines outstanding research with a challenging range of courses.",
"timestamp": 1743391587,
"type": "website_meta_description"
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"properties": {
"_id": {
"type": "string",
"description": "Unique identifier for the institution text",
"example": "4cb7d96c-6f72-470e-884c-6b96bb99a22e"
},
"_links": {
"type": "object",
"additionalProperties": false,
"properties": {
"self": {
"type": "string",
"example": "https://api.openpublishing.com/resource/v3/institutions/ed7eaaa5-699a-491b-a5da-29e2d49caa46/texts/4cb7d96c-6f72-470e-884c-6b96bb99a22e"
}
}
},
"language": {
"type": "string",
"description": "Language code in ISO 639-2 format indicating the language of the text.",
"example": "eng"
},
"mime_type": {
"type": "string",
"description": "MIME type of the text content.",
"example": "text/plain"
},
"text": {
"type": "string",
"example": "The LMU is one of the most prestigious and traditional universities in Europe. It combines outstanding research with a challenging range of courses.",
"description": "The actual text content."
},
"timestamp": {
"type": "integer",
"description": "Unix timestamp representing creation or modification time.",
"example": 1743391587
},
"type": {
"type": "string",
"description": "The type of text content.",
"enum": [
"website_meta_description",
"website_header"
],
"x-enum-descriptions": {
"website_meta_description": "HTML header meta description",
"website_header": "Landing page header"
},
"example": "website_meta_description"
}
}
}
{
"errors": [
{
"_id": "string",
"stack_trace": [
"string"
],
"message": "string",
"vars": {}
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"required": [
"errors"
],
"properties": {
"errors": {
"type": "array",
"description": "List of errors occurred",
"items": {
"type": "object",
"additionalProperties": false,
"required": [
"_id",
"message",
"stack_trace",
"vars"
],
"properties": {
"_id": {
"type": "string",
"description": "The identifier of the error"
},
"stack_trace": {
"type": "array",
"description": "A stacktrace of the error occurred. Only for testing systems.",
"items": {
"type": "string"
}
},
"message": {
"type": "string",
"description": "A translated message of the error"
},
"vars": {
"type": "object",
"description": "A dict containing additional values of the context of the error."
}
}
}
}
}
}
DELETE /resource/v3/institutions/{institution_id}/texts/{id}
Delete institution text
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | string | No | The unique identifier of the institution text | |
institution_id |
path | string | No | The unique identifier of the institution |
Responses
{
"errors": [
{
"_id": "string",
"stack_trace": [
"string"
],
"message": "string",
"vars": {}
}
]
}
Schema of the response body
{
"type": "object",
"additionalProperties": false,
"required": [
"errors"
],
"properties": {
"errors": {
"type": "array",
"description": "List of errors occurred",
"items": {
"type": "object",
"additionalProperties": false,
"required": [
"_id",
"message",
"stack_trace",
"vars"
],
"properties": {
"_id": {
"type": "string",
"description": "The identifier of the error"
},
"stack_trace": {
"type": "array",
"description": "A stacktrace of the error occurred. Only for testing systems.",
"items": {
"type": "string"
}
},
"message": {
"type": "string",
"description": "A translated message of the error"
},
"vars": {
"type": "object",
"description": "A dict containing additional values of the context of the error."
}
}
}
}
}
}
Schemas
Institution
| Name | Type | Description |
|---|---|---|
_id |
integer Unique identifier for the institution(legacy integer ID)
Example: |
Unique identifier for the institution(legacy integer ID) |
_links |
Contains links to related resources, such as metrics and the resource itself. |
Contains links to related resources, such as metrics and the resource itself. |
_uuid |
string UUID identifier for the institution
Example: |
UUID identifier for the institution |
_version |
string API Version
Example: |
API Version |
city |
Array<Properties: language, text> |
Multi-language representation of the city where the institution is located (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)). |
country |
string| null Country code in ISO 3166-1 alpha-2 format.
Example: |
Country code in ISO 3166-1 alpha-2 format. |
description |
Array<Properties: language, text> |
Multi-language representation of the institution's description (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)). |
name |
Array<Properties: language, text> |
Multi-language representation of the institution's full name (s. [Multi-language Representation Format](../structured-fields/#multi-language-representation-format)). |
name_short |
string| null Short name or abbreviation of the institution.
Example: |
Short name or abbreviation of the institution. |
phone_number |
string| null Primary phone number of the institution. |
Primary phone number of the institution. |
realm |
Properties: _id, _uuid, _links, name, screennameReference to realm which owns this object |
Reference to realm which owns this object |
street |
string| null Street address of the institution.
Example: |
Street address of the institution. |
type |
string| null The category or classification of the institution.
Example: |
The category or classification of the institution. |
url |
string| null URL of the institution's website. |
URL of the institution's website. |
zip |
string| null Postal code of the institution.
Example: |
Postal code of the institution. |
Institution Text
| Name | Type | Description |
|---|---|---|
_id |
string Unique identifier for the institution text
Example: |
Unique identifier for the institution text |
_links |
Properties: self |
|
language |
string Language code in ISO 639-2 format indicating the language of the text.
Example: |
Language code in ISO 639-2 format indicating the language of the text. |
mime_type |
string MIME type of the text content.
Example: |
MIME type of the text content. |
text |
string The actual text content.
Example: |
The actual text content. |
timestamp |
integer Unix timestamp representing creation or modification time.
Example: |
Unix timestamp representing creation or modification time. |
type |
string The type of text content.
Example: |
The type of text content. |